> ## Documentation Index
> Fetch the complete documentation index at: https://developer.siit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a private note

## Usage


## OpenAPI

````yaml post /v1/requests/{request_uid}/notes
openapi: 3.0.1
info:
  title: Siit Public API
  version: v0
servers:
  - url: https://api.siit.io
security: []
paths:
  /v1/requests/{request_uid}/notes:
    post:
      tags:
        - Request
      summary: Send a private note
      parameters:
        - name: request_uid
          in: path
          description: The UID (or `friendly_id`) of the request
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                body_text:
                  type: string
                  description: please use "body_markdown" instead
                  deprecated: true
                body_markdown:
                  type: string
                  description: >-
                    Content of the note as markdown. Takes precedence over
                    `body_text` when both are provided.
                sent_by:
                  type: string
                  description: >-
                    Optional UID of another admin user that should be considered
                    authoring the note
                  nullable: true
                attachments:
                  type: array
                  items:
                    type: string
                    format: binary
                    description: An attachment file
                  nullable: true
              required:
                - body_markdown
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/created_message_object'
        '400':
          description: missing or invalid param
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors_object'
      security:
        - bearer: []
components:
  schemas:
    created_message_object:
      type: object
      properties:
        result:
          $ref: '#/components/schemas/message'
    errors_object:
      type: object
      properties:
        error:
          type: string
        troubleshoot:
          type: string
    message:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the event
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/request_attachment'
        body_text:
          type: string
          description: Content of the event (message or note)
        body_markdown:
          type: string
          description: Content of the event (message or note), rendered as markdown
          nullable: true
          readOnly: true
        target:
          type: string
          description: >-
            UID of the resource the event points to (set on permalink and
            message events)
          nullable: true
          readOnly: true
        remote_url:
          type: string
          description: >-
            URL of the related resource on the external system the event was
            synced from/to
          nullable: true
          readOnly: true
        remote_id:
          type: string
          description: >-
            Identifier of the related resource on the external system the event
            was synced from/to
          nullable: true
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        event_type:
          type: string
          enum:
            - message
            - note
            - permalink
          readOnly: true
          nullable: false
        sender_type:
          type: string
          enum:
            - internal
            - admin
            - user
          default: user
        sent_by:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
            - $ref: '#/components/schemas/workflow'
            - $ref: '#/components/schemas/agent'
          description: >-
            The sender of the message. Can be a User, Workflow, or Agent. Pass
            `?expand[]=field_name` for full object.
          nullable: true
          readOnly: true
        sent_by_uid:
          type: string
          description: 'DEPRECATED: Use `sent_by` instead.'
          nullable: true
          readOnly: true
          deprecated: true
        submitted_from:
          type: string
          enum:
            - employee_portal
            - admin_dashboard
            - slack
            - mail
            - system
            - ms_teams
            - workflow
            - external
            - public_api
          default: public_api
          nullable: false
    request_attachment:
      type: object
      properties:
        filename:
          type: string
        url:
          type: string
    user:
      type: object
      properties:
        birthday_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        city:
          type: string
          nullable: true
        contract_type:
          type: string
          nullable: true
          enum:
            - contract
            - expat
            - fulltime
            - intern
            - parttime
            - temporary
        country:
          type: string
          description: 'ISO3166 alpha-2 country code (e.g: "PT")'
          nullable: true
        employee_number:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        gender:
          type: string
          enum:
            - female
            - male
            - non_binary
            - other
            - prefer_not_to_disclose
          nullable: true
        hire_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        job_leave_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        job_start_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        job_title:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        last_working_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        preferred_language:
          type: string
          description: A language in IETF format (en-US, pt-PT, fr-FR...)
          nullable: true
        probation_end_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        work_phone:
          type: string
          nullable: true
        uid:
          type: string
          description: The UID of the User
          readOnly: true
        admin_permalink_url:
          type: string
          description: The link to the User in Siit admin dashboard
          readOnly: true
        archived_at:
          type: string
          nullable: true
          format: date-time
          readOnly: true
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        department:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/department'
          description: >-
            The department this user belongs to. Pass `?expand[]=field_name` for
            full object.
          nullable: true
        department_uid:
          type: string
          description: 'DEPRECATED: Use `department` instead. A Department UID'
          nullable: true
          deprecated: true
        emails:
          type: array
          description: An array of all the known emails for this User
          readOnly: true
          items:
            type: string
        full_name:
          type: string
          description: The full name of the User
          readOnly: true
          nullable: true
        legal_entity:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/legal_entity'
          description: >-
            The legal entity this user belongs to. Pass `?expand[]=field_name`
            for full object.
          nullable: true
        legal_entity_uid:
          type: string
          description: 'DEPRECATED: Use `legal_entity` instead. A Legal Entity UID'
          nullable: true
          deprecated: true
        microsoft_entra_ids:
          description: The Microsoft Entra IDs (Azure Directory) associated with that User
          type: array
          readOnly: true
          items:
            type: string
        microsoft_entra_group_ids:
          description: >-
            The Microsoft Entra Group IDs (Azure Directory) associated to that
            User
          type: array
          readOnly: true
          items:
            type: string
        office_location:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/office_location'
          description: >-
            The office location of this user. Pass `?expand[]=field_name` for
            full object.
          nullable: true
        office_location_uid:
          type: string
          description: 'DEPRECATED: Use `office_location` instead. An Office Location UID'
          nullable: true
          deprecated: true
        report_to:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The manager of this user. Pass `?expand[]=field_name` for full
            object.
          nullable: true
        report_to_uid:
          type: string
          description: >-
            DEPRECATED: Use `report_to` instead. The UID of the manager of this
            user
          nullable: true
          deprecated: true
        role_name:
          type: string
          description: The role of the User
          readOnly: true
          enum:
            - owner
            - admin
            - it
            - hr
            - ops
            - finance
            - custom
            - user
        slack_user_id:
          type: string
          description: The Slack user ID of the User (e.g. U0G9QF9C6)
          readOnly: true
          nullable: true
        status:
          type: string
          description: The status of the User
          readOnly: true
          enum:
            - alumni
            - employee
            - external
            - hired
          default: employee
        team_uids:
          type: array
          description: 'DEPRECATED: Use `teams` instead. An array of Team UIDs'
          items:
            type: string
          deprecated: true
        teams:
          anyOf:
            - type: array
              items:
                type: string
            - type: array
              items:
                $ref: '#/components/schemas/team'
          description: >-
            Teams this user belongs to. Pass `?expand[]=field_name` for full
            objects.
          nullable: true
        timezone:
          type: string
          description: ''
          readOnly: true
          nullable: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    workflow:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Workflow
        author:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The user who created the workflow. Pass `?expand[]=field_name` for
            full object.
          nullable: true
        author_uid:
          type: string
          description: 'DEPRECATED: Use `author` instead. The UID of the author.'
          nullable: true
          readOnly: true
          deprecated: true
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        executed_count:
          type: integer
          description: Workflow's executions count.
          readOnly: true
          default: 0
        name:
          type: string
          description: The Workflow name
        status:
          type: string
          description: The status of the Workflow
          enum:
            - draft
            - live
            - paused
            - archived
          default: draft
          readOnly: true
        trigger_name:
          type: string
          enum:
            - date.date
            - user.birthday_date
            - user.work_anniversary
            - user.job_start_date
            - user.job_leave_date
            - user.probation_end_date
            - request.submitted
            - request.resolved
            - request.in_progress
            - request.waiting
            - request.reopened
            - request.snoozed
            - request.snooze_expired
            - request.admin_replied
            - request.user_replied
            - request.user_unresponsive
            - request.tag_added
            - request.sla_breached
            - request.admin_unresponsive
          readOnly: true
        trigger_type:
          type: string
          description: The type of Workflow trigger
          enum:
            - date
            - user
            - request
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    agent:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Agent
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        name:
          type: string
          description: The Agent name
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    department:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Department
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Department name
    legal_entity:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Legal Entity
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Legal Entity name
    office_location:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Office Location
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Office Location name
    team:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Team
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Team name
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````